package com.zjty.tynotes.pas.dao;

import com.zjty.tynotes.pas.entity.Department;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

/**
 * @Author gwj
 * @create 2020/2/29 9:42
 */
public interface DepartmentDao extends MongoRepository<Department,String> {

    List<Department> findAllByLevel(String level);

    List<Department> findAllByParentId(String parentId);

    List<Department> findAllByIdIn(List<String> departmentIds);

}
